import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/integration/Outter/operateUserRight', 'POST', params);
}

export const operateSysForm = (params) => {
	return WeaTools.callApi('/api/integration/Outter/operateSysForm', 'POST', params);
}

//测试预览
export const getPreviewUrl = (params) => {
	return WeaTools.callApi('/api/integration/OutterLogin/getPreviewUrl', 'POST', params);
};

export const operateEncryptForm = (params) => {
	return WeaTools.callApi('/api/integration/Outter/operateEncryptForm', 'POST', params);
}

export const getOutterSysList = (params) => {
	return WeaTools.callApi('/api/integration/Outter/getOutterSysList', 'POST', params);
}

export const getOutterEncryptList = (params) => {
	return WeaTools.callApi('/api/integration/Outter/getOutterEncryptList', 'POST', params);
}

export const getDefaultEntranceUrl = (params) => {
	return WeaTools.callApi('/api/integration/Outter/getOutterSysDefaultEntranceUrl', 'POST', params);
}

export const operateShareForm = (params) => {
	return WeaTools.callApi('/api/integration/Outter/operateShareForm', 'POST', params);
}

export const getCustomEncryptClass = (params) => {
	return WeaTools.callApi('/api/integration/Outter/GetCustomEncryptClass', 'POST', params);
}

export const getOutterSysIsNeedPwdAndIv = (params) => {
	return WeaTools.callApi('/api/integration/Outter/getOutterSysIsNeedPwdAndIv', 'POST', params);
}

export const checkTableFieldValueUnique = (params) => {
	return WeaTools.callApi('/api/integration/common1/checkTableFieldValueUnique', 'POST', params);
}

export const getNetworkIPColumnsSet = () => {
	return WeaTools.callApi('/api/integration/todocenter/getNetworkIPColumnsSet', 'POST');
};

export const createSecretKey = () => {
	return WeaTools.callApi('/api/integration/Outter/createSecretKey', 'POST');
};

export const getOutterTypeList = (params) => {
	return WeaTools.callApi('/api/integration/Outter/getOutterTypeList', 'POST', params);
};

export const getOutterTypeShowOrder = (params) => {
	return WeaTools.callApi('/api/integration/Outter/getOutterTypeShowOrder', 'POST', params);
};

export const operateTypeForm = (params) => {
	return WeaTools.callApi('/api/integration/Outter/operateTypeForm', 'POST', params);
};